

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Sphinx syntax examples &mdash; CMS Trigger Supervisor Software 3.4.0 documentation</title>
  

  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
    <link rel="top" title="CMS Trigger Supervisor Software 3.4.0 documentation" href="index.html"/>
        <link rel="prev" title="other packages" href="building_panels/resources/other_packages.html"/> 

  
  <script src="_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="index.html" class="icon icon-home"> CMS Trigger Supervisor Software
          

          
          </a>

          
            
            
              <div class="version">
                3.4.0
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="building_panels/index.html">Building your own Cell Panels</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="">Sphinx syntax examples</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#this-is-a-title">This is a Title</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#subtitle">subtitle</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#subsubtitle">subsubtitle</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="#basic-markup">basic markup</a></li>
<li class="toctree-l3"><a class="reference internal" href="#lists">lists</a></li>
<li class="toctree-l3"><a class="reference internal" href="#terms">terms</a></li>
<li class="toctree-l3"><a class="reference internal" href="#line-blocks">line blocks</a></li>
<li class="toctree-l3"><a class="reference internal" href="#tables">tables</a></li>
<li class="toctree-l3"><a class="reference internal" href="#links">links</a></li>
<li class="toctree-l3"><a class="reference internal" href="#source-code">Source code</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#basic">basic</a></li>
<li class="toctree-l4"><a class="reference internal" href="#fancy">fancy</a></li>
<li class="toctree-l4"><a class="reference internal" href="#from-external-file">from external file</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="#custom-html">custom HTML</a></li>
<li class="toctree-l3"><a class="reference internal" href="#fancy-math">Fancy Math</a></li>
</ul>
</li>
</ul>
</li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="index.html">CMS Trigger Supervisor Software</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="index.html">Docs</a> &raquo;</li>
      
    <li>Sphinx syntax examples</li>
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="_sources/how_to_talk_sphinx.txt" rel="nofollow"> View page source</a>
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="sphinx-syntax-examples">
<h1>Sphinx syntax examples<a class="headerlink" href="#sphinx-syntax-examples" title="Permalink to this headline">¶</a></h1>
<div class="section" id="this-is-a-title">
<h2>This is a Title<a class="headerlink" href="#this-is-a-title" title="Permalink to this headline">¶</a></h2>
<div class="section" id="subtitle">
<h3>subtitle<a class="headerlink" href="#subtitle" title="Permalink to this headline">¶</a></h3>
<div class="section" id="subsubtitle">
<h4>subsubtitle<a class="headerlink" href="#subsubtitle" title="Permalink to this headline">¶</a></h4>
<p>and so on</p>
</div>
</div>
<div class="section" id="basic-markup">
<h3>basic markup<a class="headerlink" href="#basic-markup" title="Permalink to this headline">¶</a></h3>
<p><em>italic</em> text.</p>
<p><strong>bold</strong> text.</p>
<p><cite>a link &lt;http://xkcd.com/&gt;</cite>.</p>
<p><code class="docutils literal"><span class="pre">*verbatim</span> <span class="pre">code*</span></code></p>
<p>TODO: a reference</p>
</div>
<div class="section" id="lists">
<h3>lists<a class="headerlink" href="#lists" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>This is a bulleted list.</li>
<li>It has two items, the second
item uses two lines. (note the indentation)</li>
</ul>
<ol class="arabic simple">
<li>This is a numbered list.</li>
<li>It has two items too.<ul>
<li>sub 1</li>
<li>sub 2</li>
</ul>
</li>
<li>This is another list</li>
<li>Two lists separated only by whitespace are concatenated</li>
</ol>
</div>
<div class="section" id="terms">
<h3>terms<a class="headerlink" href="#terms" title="Permalink to this headline">¶</a></h3>
<dl class="docutils">
<dt>term (up to a line of text)</dt>
<dd><p class="first">Definition of the term, which must be indented</p>
<p class="last">and can even consist of multiple paragraphs</p>
</dd>
<dt>next term</dt>
<dd>Description.</dd>
</dl>
</div>
<div class="section" id="line-blocks">
<h3>line blocks<a class="headerlink" href="#line-blocks" title="Permalink to this headline">¶</a></h3>
<div class="line-block">
<div class="line">These lines are</div>
<div class="line">broken exactly like in</div>
<div class="line">the source file.</div>
</div>
</div>
<div class="section" id="tables">
<h3>tables<a class="headerlink" href="#tables" title="Permalink to this headline">¶</a></h3>
<table border="1" class="docutils">
<colgroup>
<col width="43%" />
<col width="21%" />
<col width="18%" />
<col width="18%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Header row, column 1
(header rows optional)</th>
<th class="head">Header 2</th>
<th class="head">Header 3</th>
<th class="head">Header 4</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>body row 1, column 1</td>
<td>column 2</td>
<td>column 3</td>
<td>column 4</td>
</tr>
<tr class="row-odd"><td>body row 2</td>
<td>...</td>
<td>...</td>
<td>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="1" class="docutils">
<colgroup>
<col width="29%" />
<col width="29%" />
<col width="41%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">A</th>
<th class="head">B</th>
<th class="head">A and B</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>False</td>
<td>False</td>
<td>False</td>
</tr>
<tr class="row-odd"><td>True</td>
<td>False</td>
<td>False</td>
</tr>
<tr class="row-even"><td>False</td>
<td>True</td>
<td>False</td>
</tr>
<tr class="row-odd"><td>True</td>
<td>True</td>
<td>True</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="links">
<h3>links<a class="headerlink" href="#links" title="Permalink to this headline">¶</a></h3>
<p>This is a paragraph that contains <a class="reference external" href="http://example.com/">a link</a>.</p>
<p>Lorem ipsum <a class="footnote-reference" href="#f1" id="id1">[1]</a> dolor sit amet ... <a class="footnote-reference" href="#f2" id="id2">[2]</a></p>
<p class="rubric">Footnotes</p>
<table class="docutils footnote" frame="void" id="f1" rules="none">
<colgroup><col class="label" /><col /></colgroup>
<tbody valign="top">
<tr><td class="label"><a class="fn-backref" href="#id1">[1]</a></td><td>Text of the first footnote.</td></tr>
</tbody>
</table>
<table class="docutils footnote" frame="void" id="f2" rules="none">
<colgroup><col class="label" /><col /></colgroup>
<tbody valign="top">
<tr><td class="label"><a class="fn-backref" href="#id2">[2]</a></td><td>Text of the second footnote.</td></tr>
</tbody>
</table>
<p>Lorem ipsum <a class="reference internal" href="#ref" id="id3">[Ref]</a> dolor sit amet.</p>
<table class="docutils citation" frame="void" id="ref" rules="none">
<colgroup><col class="label" /><col /></colgroup>
<tbody valign="top">
<tr><td class="label"><a class="fn-backref" href="#id3">[Ref]</a></td><td>Book or article reference, URL or whatever.</td></tr>
</tbody>
</table>
</div>
<div class="section" id="source-code">
<h3>Source code<a class="headerlink" href="#source-code" title="Permalink to this headline">¶</a></h3>
<div class="section" id="basic">
<h4>basic<a class="headerlink" href="#basic" title="Permalink to this headline">¶</a></h4>
<p>This is a normal text paragraph. The next paragraph is a code sample:</p>
<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">It</span> <span class="ow">is</span> <span class="ow">not</span> <span class="n">processed</span> <span class="ow">in</span> <span class="nb">any</span> <span class="n">way</span><span class="p">,</span> <span class="k">except</span>
<span class="n">that</span> <span class="n">the</span> <span class="n">indentation</span> <span class="ow">is</span> <span class="n">removed</span><span class="o">.</span>

<span class="n">It</span> <span class="n">can</span> <span class="n">span</span> <span class="n">multiple</span> <span class="n">lines</span><span class="o">.</span>
</pre></div>
</div>
<p>This is a normal text paragraph again.</p>
</div>
<div class="section" id="fancy">
<h4>fancy<a class="headerlink" href="#fancy" title="Permalink to this headline">¶</a></h4>
<div class="highlight-html"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre>1
2
3</pre></div></td><td class="code"><div class="highlight"><pre><span></span><span class="p">&lt;</span><span class="nt">h1</span><span class="p">&gt;</span>code block example<span class="p">&lt;/</span><span class="nt">h1</span><span class="p">&gt;</span>
<span class="p">&lt;</span><span class="nt">auto-update</span> <span class="na">data</span><span class="o">=</span><span class="s">&quot;{{my_variable}}&quot;</span> <span class="na">callback</span><span class="o">=</span><span class="s">&quot;cpp_callback&quot;</span> <span class="na">handle-as</span><span class="o">=</span><span class="s">&quot;text&quot;</span><span class="p">&gt;&lt;/</span><span class="nt">auto-update</span><span class="p">&gt;</span>
<span class="p">&lt;</span><span class="nt">span</span><span class="p">&gt;</span>{{my_variable}}<span class="p">&lt;/</span><span class="nt">span</span><span class="p">&gt;</span>
</pre></div>
</td></tr></table></div>
</div>
<div class="section" id="from-external-file">
<h4>from external file<a class="headerlink" href="#from-external-file" title="Permalink to this headline">¶</a></h4>
<div class="highlight-html"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30</pre></div></td><td class="code"><div class="highlight"><pre><span></span><span class="cp">&lt;!doctype html&gt;</span>
<span class="p">&lt;</span><span class="nt">html</span><span class="p">&gt;</span>
  <span class="p">&lt;</span><span class="nt">head</span><span class="p">&gt;</span>
    <span class="p">&lt;</span><span class="nt">title</span><span class="p">&gt;</span>command-input demo<span class="p">&lt;/</span><span class="nt">title</span><span class="p">&gt;</span>

    <span class="p">&lt;</span><span class="nt">meta</span> <span class="na">name</span><span class="o">=</span><span class="s">&quot;viewport&quot;</span> <span class="na">content</span><span class="o">=</span><span class="s">&quot;width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes&quot;</span><span class="p">&gt;</span>
    <span class="p">&lt;</span><span class="nt">meta</span> <span class="na">name</span><span class="o">=</span><span class="s">&quot;mobile-web-app-capable&quot;</span> <span class="na">content</span><span class="o">=</span><span class="s">&quot;yes&quot;</span><span class="p">&gt;</span>
    <span class="p">&lt;</span><span class="nt">meta</span> <span class="na">name</span><span class="o">=</span><span class="s">&quot;apple-mobile-web-app-capable&quot;</span> <span class="na">content</span><span class="o">=</span><span class="s">&quot;yes&quot;</span><span class="p">&gt;</span>

    <span class="p">&lt;</span><span class="nt">script</span><span class="p">&gt;</span><span class="nb">window</span><span class="p">.</span><span class="nx">Polymer</span> <span class="o">=</span> <span class="nb">window</span><span class="p">.</span><span class="nx">Polymer</span> <span class="o">||</span> <span class="p">{};</span><span class="nb">window</span><span class="p">.</span><span class="nx">Polymer</span><span class="p">.</span><span class="nx">dom</span> <span class="o">=</span> <span class="s1">&#39;shadow&#39;</span><span class="p">;&lt;/</span><span class="nt">script</span><span class="p">&gt;</span>
    <span class="p">&lt;</span><span class="nt">script</span> <span class="na">src</span><span class="o">=</span><span class="s">&quot;/extern/bower_components/webcomponentsjs/webcomponents-lite.js&quot;</span><span class="p">&gt;&lt;/</span><span class="nt">script</span><span class="p">&gt;</span>

<span class="hll">    <span class="p">&lt;</span><span class="nt">link</span> <span class="na">rel</span><span class="o">=</span><span class="s">&quot;import&quot;</span> <span class="na">href</span><span class="o">=</span><span class="s">&quot;../command-input.html&quot;</span><span class="p">&gt;</span>
</span>    <span class="p">&lt;</span><span class="nt">style</span><span class="p">&gt;</span>
      <span class="nt">command-input</span> <span class="p">{</span>
        <span class="nb">margin</span><span class="o">:</span> <span class="m">10px</span><span class="p">;</span>
      <span class="p">}</span>
    <span class="p">&lt;/</span><span class="nt">style</span><span class="p">&gt;</span>
  <span class="p">&lt;/</span><span class="nt">head</span><span class="p">&gt;</span>
  <span class="p">&lt;</span><span class="nt">body</span> <span class="na">unresolved</span><span class="p">&gt;</span>
    <span class="p">&lt;</span><span class="nt">template</span> <span class="na">is</span><span class="o">=</span><span class="s">&quot;dom-bind&quot;</span><span class="p">&gt;</span>
<span class="hll">      <span class="p">&lt;</span><span class="nt">command-input</span> <span class="na">name</span><span class="o">=</span><span class="s">&quot;dinosaurs are great&quot;</span> <span class="na">value</span><span class="o">=</span><span class="s">&quot;true&quot;</span> <span class="na">type</span><span class="o">=</span><span class="s">&quot;bool&quot;</span><span class="p">&gt;&lt;/</span><span class="nt">command-input</span><span class="p">&gt;&lt;</span><span class="nt">br</span> <span class="p">/&gt;</span>
</span><span class="hll">      <span class="p">&lt;</span><span class="nt">command-input</span> <span class="na">name</span><span class="o">=</span><span class="s">&quot;your_favorite_dinosaur&quot;</span> <span class="na">value</span><span class="o">=</span><span class="s">&quot;deinonychus&quot;</span> <span class="na">type</span><span class="o">=</span><span class="s">&quot;string&quot;</span><span class="p">&gt;&lt;/</span><span class="nt">command-input</span><span class="p">&gt;&lt;</span><span class="nt">br</span> <span class="p">/&gt;</span>
</span><span class="hll">      <span class="p">&lt;</span><span class="nt">command-input</span> <span class="na">name</span><span class="o">=</span><span class="s">&quot;positive number&quot;</span> <span class="na">value</span><span class="o">=</span><span class="s">&quot;0&quot;</span> <span class="na">type</span><span class="o">=</span><span class="s">&quot;unsigned int&quot;</span><span class="p">&gt;&lt;/</span><span class="nt">command-input</span><span class="p">&gt;</span>
</span><span class="hll">      <span class="p">&lt;</span><span class="nt">command-input</span> <span class="na">name</span><span class="o">=</span><span class="s">&quot;a number&quot;</span> <span class="na">value</span><span class="o">=</span><span class="s">&quot;0&quot;</span> <span class="na">type</span><span class="o">=</span><span class="s">&quot;int&quot;</span><span class="p">&gt;&lt;/</span><span class="nt">command-input</span><span class="p">&gt;</span>
</span><span class="hll">      <span class="p">&lt;</span><span class="nt">command-input</span> <span class="na">name</span><span class="o">=</span><span class="s">&quot;fraction&quot;</span> <span class="na">type</span><span class="o">=</span><span class="s">&quot;float&quot;</span><span class="p">&gt;&lt;/</span><span class="nt">command-input</span><span class="p">&gt;</span>
</span><span class="hll">      <span class="p">&lt;</span><span class="nt">command-input</span> <span class="na">name</span><span class="o">=</span><span class="s">&quot;fraction&quot;</span> <span class="na">value</span><span class="o">=</span><span class="s">&quot;0.1e-4&quot;</span> <span class="na">type</span><span class="o">=</span><span class="s">&quot;double&quot;</span><span class="p">&gt;&lt;/</span><span class="nt">command-input</span><span class="p">&gt;&lt;</span><span class="nt">br</span> <span class="p">/&gt;</span>
</span>    <span class="p">&lt;/</span><span class="nt">template</span><span class="p">&gt;</span>
  <span class="p">&lt;/</span><span class="nt">body</span><span class="p">&gt;</span>
<span class="p">&lt;/</span><span class="nt">html</span><span class="p">&gt;</span>
</pre></div>
</td></tr></table></div>
</div>
</div>
<div class="section" id="custom-html">
<h3>custom HTML<a class="headerlink" href="#custom-html" title="Permalink to this headline">¶</a></h3>
<iframe width="560" height="315" src="https://www.youtube.com/embed/HBUb8frm2Tw?list=PLNYkxOF6rcIDdS7HWIC_BYRunV6MHs5xo" frameborder="0" allowfullscreen></iframe></div>
<div class="section" id="fancy-math">
<h3>Fancy Math<a class="headerlink" href="#fancy-math" title="Permalink to this headline">¶</a></h3>
<p>Since Pythagoras, we know that <span class="math">\(a^2 + b^2 = c^2\)</span>.</p>
<div class="math">
\[ \begin{align}\begin{aligned}(a + b)^2 = a^2 + 2ab + b^2\\(a - b)^2 = a^2 - 2ab + b^2\\\begin{split}(a + b)^2  &amp;=  (a + b)(a + b) \\
           &amp;=  a^2 + 2ab + b^2\end{split}\end{aligned}\end{align} \]</div>
<div class="math">
\[\begin{eqnarray}
   y    &amp; = &amp; ax^2 + bx + c \\
   f(x) &amp; = &amp; x^2 + 2xy + y^2
\end{eqnarray}\]</div><p>Euler&#8217;s identity, equation <a href="#equation-euler">(1)</a>, was elected one of the most
beautiful mathematical formulas.</p>
<div class="math" id="equation-euler">
<span class="eqno">(1)</span>\[e^{i\pi} + 1 = 0\]</div>
</div>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
      
        <a href="building_panels/resources/other_packages.html" class="btn btn-neutral" title="other packages" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2016, Glenn Dirkx.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'./',
            VERSION:'3.4.0',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="_static/jquery.js"></script>
      <script type="text/javascript" src="_static/underscore.js"></script>
      <script type="text/javascript" src="_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

  

  
  
    <script type="text/javascript" src="_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
  
 <script type="text/javascript">
    $(document).ready(function() {
        $(".toggle > *").hide();
        $(".toggle .header").show();
        $(".toggle .header").click(function() {
            $(this).parent().children().not(".header").toggle(400);
            $(this).parent().children(".header").toggleClass("open");
        })
    });
</script>


</body>
</html>